package com.qiaoba.api.system.service;

import com.qiaoba.api.system.entity.SysPost;
import com.qiaoba.api.system.entity.param.SysPostParam;

import java.util.List;

/**
 * 岗位对外暴露接口
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023-04-23 20:33:43
 */
public interface SysPostApiService {

    /**
     * 新增岗位
     *
     * @param sysPost sysPost
     * @return > 0 = success
     */
    int insert(SysPost sysPost);

    /**
     * 更新岗位
     *
     * @param sysPost sysPost
     * @return > 0 = success
     */
    int updateById(SysPost sysPost);

    /**
     * 查询列表
     *
     * @param param 条件
     * @return 岗位列表
     */
    List<SysPost> selectList(SysPostParam param);

    /**
     * 查询详细
     *
     * @param deptId 岗位Id
     * @return 岗位信息
     */
    SysPost selectById(String deptId);

    /**
     * 删除岗位
     *
     * @param deptId 岗位Id
     * @return > 0 = success
     */
    int deleteById(String deptId);

    /**
     * 批量删除岗位
     *
     * @param ids 岗位Ids
     * @return > 0 = success
     */
    int deleteByIds(List<String> ids);
}
